\documentclass{standalone}

\usepackage{tikz}

\begin{document}

\begin{tikzpicture}[line cap=round,line join=round,x=0.5cm,y=0.5cm, rotate=90]
\clip(-0.5,-0.5) rectangle (7.5,12);
\draw[line width=1pt] (1.4475841047106746,1) -- (1.4475841047106746,1.4475841047106746) -- (1,1.4475841047106746) -- (1,1) -- cycle; 
\draw[line width=1pt] (1,1.9666294576624204) -- (1.4475841047106746,1.9666294576624204) -- (1.4475841047106746,2.414213562373095) -- (1,2.414213562373095) -- cycle; 
\draw[line width=1pt] (3.001905638072503,2.414213562373095) -- (3.001905638072503,1.9666294576624204) -- (3.449489742783178,1.9666294576624204) -- (3.449489742783178,2.414213562373095) -- cycle; 
\draw[line width=1pt] (3.449489742783178,1.4475841047106746) -- (3.001905638072503,1.4475841047106746) -- (3.001905638072503,1) -- (3.449489742783178,1) -- cycle; 
\draw[line width=1pt] (1.4475841047106746,2.414213562373095) -- (1.4475841047106746,2.8617976670837697) -- (1,2.8617976670837697) -- (1,2.414213562373095) -- cycle; 
\draw[line width=1pt] (3.001905638072503,8.071067811865476) -- (3.001905638072503,7.623483707154801) -- (3.449489742783178,7.623483707154801) -- (3.449489742783178,8.071067811865476) -- cycle; 
\draw[line width=1pt] (3.449489742783178,2.8617976670837697) -- (3.001905638072503,2.8617976670837697) -- (3.001905638072503,2.414213562373095) -- (3.449489742783178,2.414213562373095) -- cycle; 
\draw[line width=1pt] (6.414213562373095,1.4475841047106746) -- (5.96662945766242,1.4475841047106746) -- (5.96662945766242,1) -- (6.414213562373095,1) -- cycle; 
\draw[line width=1pt] (5.447584104710675,1) -- (5.447584104710675,1.4475841047106746) -- (5,1.4475841047106746) -- (5,1) -- cycle; 
\draw[line width=1pt] (5,10.552415895289325) -- (5.447584104710675,10.552415895289325) -- (5.447584104710675,11) -- (5,11) -- cycle; 
\draw[line width=1pt] (5.96662945766242,11) -- (5.96662945766242,10.552415895289325) -- (6.414213562373095,10.552415895289325) -- (6.414213562373095,11) -- cycle; 
\draw[line width=1pt] (1,7.623483707154801) -- (1.4475841047106746,7.623483707154801) -- (1.4475841047106746,8.071067811865476) -- (1,8.071067811865476) -- cycle; 
\draw [line width=1pt] (5,11)-- (5,1);
\draw [line width=1pt] (5,1)-- node[right] {$\sqrt{3}$} (6.414213562373095,1);
\draw [line width=1pt] (6.414213562373095,1)-- node[above] {10} (6.414213562373095,11);
\draw [line width=1pt] (6.414213562373095,11)-- (5,11);
\draw [line width=1pt] (1,1)-- node[right] {$\sqrt{6}$} (3.449489742783178,1);
\draw [line width=1pt] (3.449489742783178,1)-- (3.449489742783178,2.414213562373095);
\draw [line width=1pt] (3.3228938405462864,1.6543584885878415) -- (3.576085645020069,1.6543584885878415);
\draw [line width=1pt] (3.3228938405462864,1.7598550737852507) -- (3.576085645020069,1.7598550737852507);
\draw [line width=1pt] (3.449489742783178,2.414213562373095)-- (1,2.414213562373095);
\draw [line width=1pt] (1,2.414213562373095)--  node[below] {$\sqrt{2}$} (1,1);
\draw [line width=1pt] (1.126595902236891,1.7598550737852507) -- (0.8734040977631087,1.7598550737852507);
\draw [line width=1pt] (1.126595902236891,1.6543584885878415) -- (0.8734040977631087,1.6543584885878415);
\draw [line width=1pt] (1,2.414213562373095)-- node[below] {$2\sqrt{8}$} (1,8.071067811865476);
\draw [line width=1pt] (0.8734040977631087,5.2426406871192865) -- (1.126595902236891,5.2426406871192865);
\draw [line width=1pt] (1,8.071067811865476)-- (3.449489742783178,8.071067811865476);
\draw [line width=1pt] (3.449489742783178,8.071067811865476)-- (3.449489742783178,2.414213562373095);
\draw [line width=1pt] (3.576085645020069,5.2426406871192865) -- (3.3228938405462864,5.2426406871192865);
\begin{scriptsize}
\draw[color=black] (4.7,1) node {$G$};
\draw[color=black] (6.7,1) node {$H$};
\draw[color=black] (6.7,11.1) node {$I$};
\draw[color=black] (4.7,11.1) node {$J$};
\draw[color=black] (0.7,1) node {$A$};
\draw[color=black] (3.7,1) node {$B$};
\draw[color=black] (3.7,2.5) node {$C$};
\draw[color=black] (0.7,2.5) node {$D$};
\draw[color=black] (0.7,8.4) node {$E$};
\draw[color=black] (3.7,8.4) node {$F$};
\end{scriptsize}
\end{tikzpicture}

\end{document}